请帮忙看一下这个问题,无法upgrade成功

系统安装、升级讨论
回复
cocaca
帖子: 19
注册时间: 2007-02-03 12:22
送出感谢: 0
接收感谢: 0

请帮忙看一下这个问题,无法upgrade成功

#1

帖子 cocaca » 2008-12-25 12:03

jzq@dell-desktop:~$ sudo apt-get upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
读取状态信息... 完成
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 164 个软件包没有被完全安装或卸载。
需要下载 0B/189kB 的软件包。
操作完成后,会消耗掉 0B 的额外磁盘空间。
您希望继续执行吗?[Y/n]y
正在预设定软件包 ...
(正在读取数据库 ... 系统当前总共安装有 234214 个文件和目录。)
正预备替换 gnome-applets 2.22.2-0ubuntu2 (使用 .../gnome-applets_2.22.2-0ubuntu2_i386.deb) ...
正在解压缩将用于更替的包文件 gnome-applets ...
/var/lib/dpkg/info/gnome-applets.postrm: 30: update-gconf-defaults: not found
dpkg:警告 - 原先的 post-removal 脚本 退出时返回了错误号 127
dpkg - 现转而试用新软件包所带的脚本...
/var/lib/dpkg/tmp.ci/postrm: 30: update-gconf-defaults: not found
dpkg:处理 /var/cache/apt/archives/gnome-applets_2.22.2-0ubuntu2_i386.deb (--unpack)时出错:
子进程 新的 post-removal 脚本 返回了错误号 127
/var/lib/dpkg/tmp.ci/postrm: 30: update-gconf-defaults: not found
dpkg: 作下列清理工作时发生错误:
子进程 post-removal script 返回了错误号 127
在处理时有错误发生:
/var/cache/apt/archives/gnome-applets_2.22.2-0ubuntu2_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
回复

回到 “系统安装和升级”